package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * PortalCustomizationPageResOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class PortalCustomizationPageResOpenApiVo   {
  @JsonProperty("pageType")
  private Integer pageType;

  @JsonProperty("portalCustomize")
  private PortalCustomizeResOpenApiVo portalCustomize;

  @JsonProperty("importedPortalPage")
  private ImportedPortalPageResOpenApiVo importedPortalPage;

  public PortalCustomizationPageResOpenApiVo pageType(Integer pageType) {
    this.pageType = pageType;
    return this;
  }

  /**
   * Page type, should be a value as follows: 1: Use default page, 2: use uploaded page. Required when portal auth type is not 4: External Portal Server
   * @return pageType
  */
  @ApiModelProperty(value = "Page type, should be a value as follows: 1: Use default page, 2: use uploaded page. Required when portal auth type is not 4: External Portal Server")


  public Integer getPageType() {
    return pageType;
  }

  public void setPageType(Integer pageType) {
    this.pageType = pageType;
  }

  public PortalCustomizationPageResOpenApiVo portalCustomize(PortalCustomizeResOpenApiVo portalCustomize) {
    this.portalCustomize = portalCustomize;
    return this;
  }

  /**
   * Get portalCustomize
   * @return portalCustomize
  */
  @ApiModelProperty(value = "")

  @Valid

  public PortalCustomizeResOpenApiVo getPortalCustomize() {
    return portalCustomize;
  }

  public void setPortalCustomize(PortalCustomizeResOpenApiVo portalCustomize) {
    this.portalCustomize = portalCustomize;
  }

  public PortalCustomizationPageResOpenApiVo importedPortalPage(ImportedPortalPageResOpenApiVo importedPortalPage) {
    this.importedPortalPage = importedPortalPage;
    return this;
  }

  /**
   * Get importedPortalPage
   * @return importedPortalPage
  */
  @ApiModelProperty(value = "")

  @Valid

  public ImportedPortalPageResOpenApiVo getImportedPortalPage() {
    return importedPortalPage;
  }

  public void setImportedPortalPage(ImportedPortalPageResOpenApiVo importedPortalPage) {
    this.importedPortalPage = importedPortalPage;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PortalCustomizationPageResOpenApiVo portalCustomizationPageResOpenApiVo = (PortalCustomizationPageResOpenApiVo) o;
    return Objects.equals(this.pageType, portalCustomizationPageResOpenApiVo.pageType) &&
        Objects.equals(this.portalCustomize, portalCustomizationPageResOpenApiVo.portalCustomize) &&
        Objects.equals(this.importedPortalPage, portalCustomizationPageResOpenApiVo.importedPortalPage);
  }

  @Override
  public int hashCode() {
    return Objects.hash(pageType, portalCustomize, importedPortalPage);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PortalCustomizationPageResOpenApiVo {\n");
    
    sb.append("    pageType: ").append(toIndentedString(pageType)).append("\n");
    sb.append("    portalCustomize: ").append(toIndentedString(portalCustomize)).append("\n");
    sb.append("    importedPortalPage: ").append(toIndentedString(importedPortalPage)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

